#if !defined HAVE_DAUBECHIES_H__
#define      HAVE_DAUBECHIES_H__
// This file is part of the FXT library.
// Copyright (C) 2010 Joerg Arndt
// License: GNU General Public License version 3 or later,
// see the file COPYING.txt in the main directory.

// jj_end_autodoc

// filter data given in daubechies.cc


#define DD(n)  extern const double Daub ## n []

DD(1);
DD(2);
DD(3);
DD(4);
DD(5);
DD(6);
DD(7);
DD(8);
DD(9);

DD(10);
DD(11);
DD(12);
DD(13);
DD(14);
DD(15);
DD(16);
DD(17);
DD(18);
DD(19);

DD(20);
DD(21);
DD(22);
DD(23);
DD(24);
DD(25);
DD(26);
DD(27);
DD(28);
DD(29);

DD(30);
DD(31);
DD(32);
DD(33);
DD(34);
DD(35);
DD(36);
DD(37);
DD(38);


#undef DD


const double *Daub[]={
0,      Daub1,  Daub2,  Daub3,  Daub4,  Daub5,  Daub6,  Daub7,  Daub8,  Daub9,
Daub10, Daub11, Daub12, Daub13, Daub14, Daub15, Daub16, Daub17, Daub18, Daub19,
Daub20, Daub21, Daub22, Daub23, Daub24, Daub25, Daub26, Daub27, Daub28, Daub29,
Daub30, Daub31, Daub32, Daub33, Daub34, Daub35, Daub36, Daub37, Daub38};


#endif  // !defined HAVE_DAUBECHIES_H__
